#include <math.h>
#include "ranlib.h"
#include "header.h"


void generate_point(int t, int p){
  int u,points;
  double vector[UNDERLIERS_SIZE];

  genmn(Parm, vector, Scratch);
  
  Price[t][0][p] = INITIAL*exp( vector[0]);
  Price[t][1][p] = INITIAL*exp( vector[1]);
  
  if(vector[0] > vector[1]){
    Max1[t][p] = 0;
    Max2[t][p] = 1;
  }else{
    Max1[t][p] = 1;
    Max2[t][p] = 0;
  }
  
  for(u=2;u<UNDERLIERS;++u){
    Price[t][u][p] = INITIAL*exp(vector[u]);
    
    if(Price[t][u][p] > Price[t][ Max1[t][p] ][p] ){
      Max2[t][p] = Max1[t][p];
      Max1[t][p] = u;
    }else if(Price[t][u][p] > Price[t][ Max2[t][p] ][p] ){
      Max2[t][p] = u;
    }
  }
  ++Number_with_max[t][ Max1[t][p] ];
}
